package com.purui.prims.headless.server.service;

import com.purui.prims.auth.api.authentication.pojo.User;
import com.purui.prims.headless.api.pojo.request.CanvasReq;
import com.purui.prims.headless.api.pojo.response.CanvasSchemaResp;
import com.purui.prims.headless.server.persistence.dataobject.CanvasDO;

import java.util.List;

public interface CanvasService {

    List<CanvasDO> getCanvasList(Long domainId);

    List<CanvasSchemaResp> getCanvasSchema(Long domainId, User user);

    CanvasDO createOrUpdateCanvas(CanvasReq canvasReq, User user);

    void deleteCanvas(Long id);
}
